Name:          sdl2_sound
Version:       2.0.4
Release:       1mamba
Summary:       A library that handles the decoding of several popular sound file formats, such as .WAV and .MP3
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://icculus.org/SDL_sound/
Source:        https://github.com/icculus/SDL_sound.git/v%{version}/SDL_sound-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}

%description
SDL_sound is a library that handles the decoding of several popular sound file formats, such as .WAV and .MP3. It is meant to make the programmer's sound playback tasks simpler. The programmer gives SDL_sound a filename, or feeds it data directly from one of many sources, and then reads the decoded waveform data back at her leisure. If resource constraints are a concern, SDL_sound can process sound data in programmer-specified blocks. Alternately, SDL_sound can decode a whole sound file and hand back a single pointer to the whole waveform. SDL_sound can also handle sample rate, audio format, and channel conversion on-the-fly and behind-the-scenes, if the programmer desires.
This package contains the tools provided with %{name}.

%package -n lib%{name}
Summary:       Shared library provided with %{name}
Group:         System/Libraries

%description -n lib%{name}
SDL_sound is a library that handles the decoding of several popular sound file formats, such as .WAV and .MP3. It is meant to make the programmer's sound playback tasks simpler. The programmer gives SDL_sound a filename, or feeds it data directly from one of many sources, and then reads the decoded waveform data back at her leisure. If resource constraints are a concern, SDL_sound can process sound data in programmer-specified blocks. Alternately, SDL_sound can decode a whole sound file and hand back a single pointer to the whole waveform. SDL_sound can also handle sample rate, audio format, and channel conversion on-the-fly and behind-the-scenes, if the programmer desires.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}

%description -n lib%{name}-devel
SDL_sound is a library that handles the decoding of several popular sound file formats, such as .WAV and .MP3. It is meant to make the programmer's sound playback tasks simpler. The programmer gives SDL_sound a filename, or feeds it data directly from one of many sources, and then reads the decoded waveform data back at her leisure. If resource constraints are a concern, SDL_sound can process sound data in programmer-specified blocks. Alternately, SDL_sound can decode a whole sound file and hand back a single pointer to the whole waveform. SDL_sound can also handle sample rate, audio format, and channel conversion on-the-fly and behind-the-scenes, if the programmer desires.
This package contains static libraries and header files needed for development.


%prep
%setup -q -n SDL_sound-%{version}

%build
%cmake

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/playsound

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libSDL2_sound.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/SDL2/*.h
%{_libdir}/libSDL2_sound.a
%{_libdir}/libSDL2_sound.so
%dir %{_libdir}/cmake/SDL2_sound
%{_libdir}/cmake/SDL2_sound/SDL2_sound*.cmake
%{_libdir}/pkgconfig/SDL2_sound.pc

%changelog
* Tue Jan 14 2025 Automatic Build System <autodist@openmamba.org> 2.0.4-1mamba
- automatic version update by autodist

* Thu Jun 13 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- update to 2.0.2

* Sun Oct 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-6mamba
- don't own /usr/include/SDL; add debug package; other specfile fixes

* Sun Aug 22 2010 Automatic Build System <autodist@mambasoft.it> 1.0.3-5mamba
- automatic rebuild by autodist

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 1.0.3-4mamba
- automatic rebuild by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 1.0.3-3mamba
- automatic rebuild by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 1.0.3-2mamba
- automatic rebuild by autodist

* Wed Jul 09 2008 gil <puntogil@libero.it> 1.0.3-1mamba
- update to 1.0.3
- removed patch 

* Fri Mar 31 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- package created by autospec
